namespace Upsilon.Binder
{
    public enum BoundKind
    {
        BoundScript,

        BoundLiteralExpression,
        BoundBinaryExpression,
        BoundUnaryExpression,
        VariableExpression,
        BoundFunctionCallExpression,

        // Statements
        BoundAssignmentStatement,
        BoundExpressionStatement,
        BoundBlockStatement,
        BoundIfStatement,
        BoundElseStatement,
        BoundFunctionStatement,
        BoundPromise,
        BoundReturnStatement
    }
}