namespace Upsilon.Binder
{
    public class BoundVariableAssignment : BoundStatement
    {
        public VariableSymbol Variable { get; }
        public BoundExpression BoundExpression { get; }

        public BoundVariableAssignment(VariableSymbol variable, BoundExpression boundExpression)
        {
            Variable = variable;
            BoundExpression = boundExpression;
        }

        public override BoundKind Kind => BoundKind.BoundAssignmentStatement;
    }
}