using Upsilon.BaseTypes;

namespace Upsilon.Binder
{
    internal class BoundLiteralExpression : BoundExpression
    {
        public BoundLiteralExpression(LuaType value)
        {
            Value = value;
        }

        public override BoundKind Kind => BoundKind.BoundLiteralExpression;
        public override Type Type => Value.Type;
        public LuaType Value { get; }
    }
}