using Upsilon.BaseTypes;

namespace Upsilon.Binder
{
    public class BoundUnaryExpression : BoundExpression
    {
        public override BoundKind Kind => BoundKind.BoundUnaryExpression;
        public override Type Type { get; }

        public BoundUnaryExpression(BoundUnaryOperator op, BoundExpression inExpression, Type type)
        {
            Operator        = op;
            InExpression = inExpression;
            Type            = type;
        }

        public BoundExpression InExpression { get; }
        public BoundUnaryOperator Operator { get; }
    }
}