using System;
using Type = Upsilon.BaseTypes.Type;

namespace Upsilon.Binder
{
    public class BoundVariableExpression : BoundExpression
    {
        public BoundVariableExpression(VariableSymbol variable)
        {
            Variable = variable;
        }

        public VariableSymbol Variable { get; }
        public override BoundKind Kind => BoundKind.VariableExpression;
        public override Type      Type => Variable.Type;
    }
}