using System.Collections.Immutable;

namespace Upsilon.Binder
{
    public class BoundBlockStatement : BoundStatement
    {
        public BoundBlockStatement(ImmutableArray<BoundStatement> statements)
        {
            Statements = statements;
        }

        public override BoundKind Kind => BoundKind.BoundBlockStatement;

        public ImmutableArray<BoundStatement> Statements { get; }
    }
}