using System.Collections.Immutable;
using Upsilon.Parser;

namespace Upsilon.Binder
{
    public class UnboundFunctionStatement : BoundFunctionStatement
    {
        public UnboundFunctionStatement(VariableSymbol identifier, ImmutableArray<VariableSymbol> parameters,
            BlockStatementSyntax unboundBlock) : base(identifier, parameters, null)
        {
            UnboundBlock = unboundBlock;
        }

        public override BoundKind Kind => BoundKind.BoundPromise;

        public BlockStatementSyntax UnboundBlock { get; }
    }
}