using System.Collections.Generic;

namespace Upsilon.Parser
{
    public class VariableExpressionSyntax : ExpressionSyntax
    {
        public IdentifierToken Identifier { get; }

        public VariableExpressionSyntax(IdentifierToken identifier)
        {
            Identifier = identifier;
        }

        public override SyntaxKind Kind => SyntaxKind.VariableExpression;
        public override IEnumerable<SyntaxNode> ChildNodes()
        {
            yield return Identifier;
        }
    }
}